`define DEBUG
module cap_sts(PMPWR, PMPRD, PMPD, INT0, INT3,
		TS_SCLK, TS_SD, TS_PBVAL,
`ifdef DEBUG
		TP
`endif
		);

input  PMPWR;
input  PMPRD;
inout  [7:0] PMPD;
output INT0;
output INT3;

input  TS_SCLK;
input  TS_SD;
input  TS_PBVAL;

`ifdef DEBUG
output [11:0] TP;
`endif

wire [7:0] data;
wire rd;
wire intr;
ser2par ser2par(TS_SCLK, TS_SD, TS_PBVAL, data, rd, intr, TP);

assign INT0 = intr;
assign rd = PMPRD;
assign PMPD = (PMPWR == 0) ? 8'bzzzzzzzz : data;
	
endmodule
